Package mpi

## Class FileView

- java.lang.Object
- - mpi.FileView

-     public final class FileView
      extends java.lang.Object

  This class represents file views.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileView​(long disp, Datatype etype, Datatype filetype, java.lang.String datarep)` | Constructs a file view.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDataRep()` | Gets the data representation.
    `long` | `getDisp()` | Gets the displacement.
    `Datatype` | `getEType()` | Gets the elementary datatype.
    `Datatype` | `getFileType()` | Gets the file type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileView

          public FileView​(long disp,
                          Datatype etype,
                          Datatype filetype,
                          java.lang.String datarep)

      Constructs a file view.
      Parameters:
        `disp` - displacement
        `etype` - elementary datatype
        `filetype` - file type
        `datarep` - data representation

  - ### Method Detail

    - #### getDisp

          public long getDisp()

      Gets the displacement.
      Returns:
        displacement

    - #### getEType

          public Datatype getEType()

      Gets the elementary datatype.
      Returns:
        elementary datatype

    - #### getFileType

          public Datatype getFileType()

      Gets the file type.
      Returns:
        file type

    - #### getDataRep

          public java.lang.String getDataRep()

      Gets the data representation.
      Returns:
        data representation